import { Injectable } from '@angular/core';
import { environment } from '../../../../../environments/environment';
import { ResearcherModel } from '../../../model/researcher/researcher';
import { BaseHttpService } from '../../http/base-http.service';

@Injectable()
export class ExternalResearcherService {

	private actionUrl: string;

	constructor(private http: BaseHttpService) {
		this.actionUrl = environment.Server + 'researchers/';
	}

	public createResearcher(researcher: ResearcherModel) {
		return this.http.post(this.actionUrl, researcher);
	}

}
